Women in Technology

Hear us Roar



Article:
  ColdFusion MX on Mac OS X, Part 4
Subject:   ***WARNING: Issues with Java 1.4.1
Date:   2003-03-14 07:39:58
From:   dicklacara
A few days ago, Apple released Java 1.4.1 (available by download or Software Update).


There are several issues when running CFMXJ2EE for Mac OS X under Java 1.4.1.


Until these are resolved, I suggest that you do not install Java 1.4.1.


I will post another message as soon as I have more information.


Dick

Full Threads Oldest First

Showing messages 1 through 3 of 3.

  • ***WARNING: Issues with Java 1.4.1
    2003-07-24 16:14:04  anonymous2 [View]

    JDK 1.3.1 should still live on your Mac. Change the java_home variable for Tomcat to /System/Library/Frameworks/JavaVM.framework/Versions/1.3.1/Home
  • ***WARNING: Issues with Java 1.4.1 - QUICK FIX
    2003-03-27 11:21:06  anonymous2 [View]

    It is easy to switch back to 1.3.1 after you have installed 1.4.1

    Simple go to /System/Library/Frameworks/JavaVM.framework/Versions/

    In this directory there is a sym link called 'CurrentJDK' that point to the 1.4.1 directory. change this sym link to point to the 1.3.1 directory.

    you will have to be logged in as root or use sudo in order to do this.

    This doesn't allow JRun to work with 1.4.1 but is a fix for people who have installed 1.4.1 and don't know how to switch back to 1.3.1 as their default Java VM.

    Nick
  • ***WARNING: Issues with Java 1.4.1
    2003-03-20 02:38:50  lolajl [View]

    Have you gotten more information about this issue yet?